Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.shipping
Class ShippingMethodImpl

    java.lang.Object
      com.beasys.commerce.foundation.EntityImpl
          com.beasys.commerce.ebusiness.shipping.ShippingMethodImpl

All Implemented Interfaces
  RelationalReference, Serializable, javax.ejb.EnterpriseBean, javax.ejb.EntityBean

Deprecated

    @Deprecated
    public class ShippingMethodImpl

extends EntityImpl

A shipping method is a mechanism by which product is delivered. It stores a standard set of attributes and allows for complex shipping cost calculation.

     Primary Key = com.beasys.commerce.ebusiness.shipping.ShippingMethodPk

See Also
  `ShippingMethod`, `ShippingMethodHome`, `ShippingMethodValue`, Serialized Form

Field Summary
`int` | `averageShippingTime` Deprecated The average delivery time.
`String` | `carrier` Deprecated The service provider used for delivery.
`String` | `costCalculationMechanism` Deprecated Used to specify one of the pre-programmed shipping cost calculation mechanisms.
`String` | `description` Deprecated An textual description of this shipping mechanism.
`String` | `identifier` Deprecated A key that uniquely identifies this shipping method.
`boolean` | `internationalDelivery` Deprecated True if this mechanism will deliver internationally.
`String` | `method` Deprecated The mechanism by which the item will be shipped.
`String` | `packagingType` Deprecated Containment: By Value Multiplicity: 1:1
`double` | `percentage` Deprecated Used when the shipping cost is a percentage of the total value of the order.
`boolean` | `poBoxAllowed` Deprecated True if this mechanism will allow delivery to a post office box.
`Money` | `price` Deprecated The base shipping cost.
`String` | `restrictions` Deprecated A description of any restrictions that apply to this shipping mechanism.
`boolean` | `saturdayDelivery` Deprecated True if ths shipping mechanism will deliver on a Saturday.
`boolean` | `signatureRequired` Deprecated True if the customer is required to acknowled delivery with a signature.
`double` | `sizeLimit` Deprecated The maximum deliverable quantity.
`double` | `weightLimit` Deprecated The maximum weight limit for this shipping mechanism.

Fields inherited from class com.beasys.commerce.foundation.EntityImpl
`__classIdentifier, __containingEntity, __mapKey, __sequenceNumber, _ctx, _environmentNamingContext, _environmentPropertyCache, _isDirty, _smartBMP`

Constructor Summary
`ShippingMethodImpl()` Deprecated

Method Summary
`protected void` | `bscInitializeAttributes(ShippingMethodPk shippingMethodPk)` Deprecated
`void` | `ejbActivate()` Deprecated ejbActivate method.
`ShippingMethodPk` | `ejbCreate(ShippingMethodPk shippingMethodPk)` Deprecated
`Enumeration` | `ejbFindAll()` Deprecated ejbFindAll method.
`ShippingMethodPk` | `ejbFindByPrimaryKey(ShippingMethodPk pk)` Deprecated
`void` | `ejbLoad()` Deprecated ejbLoad method.
`void` | `ejbPassivate()` Deprecated ejbPassivate method.
`void` | `ejbPostCreate(ShippingMethodPk shippingMethodPk)` Deprecated
`void` | `ejbRemove()` Deprecated ejbRemove method.
`void` | `ejbStore()` Deprecated ejbStore method.
`int` | `getAverageShippingTime()` Deprecated Get the value of averageShippingTime
`String` | `getCarrier()` Deprecated Get the value of carrier
`String` | `getCostCalculationMechanism()` Deprecated Get the value of costCalculationMechanism
`String` | `getDescription()` Deprecated Get the value of description
`String` | `getIdentifier()` Deprecated
`boolean` | `getInternationalDelivery()` Deprecated Get the value of internationalDelivery
`String` | `getMethod()` Deprecated Get the value of method
`String` | `getPackagingType()` Deprecated Get the value of packagingType
`double` | `getPercentage()` Deprecated Get the value of percentage
`boolean` | `getPoBoxAllowed()` Deprecated Get the value of poBoxAllowed
`Money` | `getPrice()` Deprecated Get the value of price
`String` | `getRestrictions()` Deprecated Get the value of restrictions
`boolean` | `getSaturdayDelivery()` Deprecated Get the value of saturdayDelivery
`ShippingMethodValue` | `getShippingMethodByValue()` Deprecated Get all of ShippingMethod's attributes.
`boolean` | `getSignatureRequired()` Deprecated Get the value of signatureRequired
`double` | `getSizeLimit()` Deprecated Get the value of sizeLimit
`double` | `getWeightLimit()` Deprecated Get the value of weightLimit
`void` | `setAverageShippingTime(int averageShippingTime)` Deprecated Set the value of averageShippingTime
`void` | `setCarrier(String carrier)` Deprecated Set the value of carrier
`void` | `setCostCalculationMechanism(String costCalculationMechanism)` Deprecated Set the value of costCalculationMechanism
`void` | `setDescription(String description)` Deprecated Set the value of description
`void` | `setEntityContext(javax.ejb.EntityContext ctx)` Deprecated setEntityContext method.
`void` | `setIdentifier(String value)` Deprecated
`void` | `setInternationalDelivery(boolean internationalDelivery)` Deprecated Set the value of internationalDelivery
`void` | `setMethod(String method)` Deprecated Set the value of method
`void` | `setPackagingType(String packagingType)` Deprecated Set the value of packagingType
`void` | `setPercentage(double percentage)` Deprecated Set the value of percentage
`void` | `setPoBoxAllowed(boolean poBoxAllowed)` Deprecated Set the value of poBoxAllowed
`void` | `setPrice(Money price)` Deprecated Set the value of price
`void` | `setRestrictions(String restrictions)` Deprecated Set the value of restrictions
`void` | `setSaturdayDelivery(boolean saturdayDelivery)` Deprecated Set the value of saturdayDelivery
`void` | `setShippingMethodByValue(ShippingMethodValue value)` Deprecated Set all of ShippingMethod's attributes to the passed in value.
`void` | `setSignatureRequired(boolean signatureRequired)` Deprecated Set the value of signatureRequired
`void` | `setSizeLimit(double sizeLimit)` Deprecated Set the value of sizeLimit
`void` | `setWeightLimit(double weightLimit)` Deprecated Set the value of weightLimit
`void` | `unsetEntityContext()` Deprecated unsetEntityContext method.

Methods inherited from class com.beasys.commerce.foundation.EntityImpl
`bscInitializeAttributes, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, ejbCreate, ejbFindByPrimaryKey, ejbPostCreate, enumerateRelationalBinding, enumerateRelationalBinding, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getEntityContext, getEnvironmentNamingContext, getEnvironmentProperty, getEnvironmentProperty, getEnvironmentPropertyCache, getPersistenceHelperPlugin, getSmartBMP, initSmartBMP, isModified, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    public String identifier

  Deprecated
  A key that uniquely identifies this shipping method.
  - Containment: By Value
  - Multiplicity: 1:1
  - PRIMARY KEY FIELD

### sizeLimit

    public double sizeLimit

  Deprecated
  The maximum deliverable quantity.
  - Containment: By Value
  - Multiplicity: 1:1

### description

    public String description

  Deprecated
  An textual description of this shipping mechanism.
  - Containment: By Value
  - Multiplicity: 1:1

### signatureRequired

    public boolean signatureRequired

  Deprecated
  True if the customer is required to acknowled delivery with a signature.
  - Containment: By Value
  - Multiplicity: 1:1

### weightLimit

    public double weightLimit

  Deprecated
  The maximum weight limit for this shipping mechanism.
  - Containment: By Value
  - Multiplicity: 1:1

### percentage

    public double percentage

  Deprecated
  Used when the shipping cost is a percentage of the total value of the order.
  - Containment: By Value
  - Multiplicity: 1:1

### poBoxAllowed

    public boolean poBoxAllowed

  Deprecated
  True if this mechanism will allow delivery to a post office box.
  - Containment: By Value
  - Multiplicity: 1:1

### restrictions

    public String restrictions

  Deprecated
  A description of any restrictions that apply to this shipping mechanism.
  - Containment: By Value
  - Multiplicity: 1:1

### averageShippingTime

    public int averageShippingTime

  Deprecated
  The average delivery time.
  - Containment: By Value
  - Multiplicity: 1:1

### carrier

    public String carrier

  Deprecated
  The service provider used for delivery.
  - Containment: By Value
  - Multiplicity: 1:1

### saturdayDelivery

    public boolean saturdayDelivery

  Deprecated
  True if ths shipping mechanism will deliver on a Saturday.
  - Containment: By Value
  - Multiplicity: 1:1

### price

    public Money price

  Deprecated
  The base shipping cost.
  - Containment: By Value
  - Multiplicity: 1:1

### packagingType

    public String packagingType

  Deprecated
  - Containment: By Value
  - Multiplicity: 1:1

### costCalculationMechanism

    public String costCalculationMechanism

  Deprecated
  Used to specify one of the pre-programmed shipping cost calculation mechanisms. Policy:Uses the Shipping Cost Calculation Policy to determine the total cost. FlatRate: A single flat rate price is returned as specified in the price field. PerItem: The count of items in the order is multiplied by the price field to determine the shipping cost. Percentage: The total cost of the order is multiplied by the percenate specified to determine the cost.
  - Containment: By Value
  - Multiplicity: 1:1

### method

    public String method

  Deprecated
  The mechanism by which the item will be shipped. These include Air, Ship, Truck, etc..
  - Containment: By Value
  - Multiplicity: 1:1

### internationalDelivery

    public boolean internationalDelivery

  Deprecated
  True if this mechanism will deliver internationally.
  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### ShippingMethodImpl

    public ShippingMethodImpl()

  Deprecated

Method Detail

### getShippingMethodByValue

    public ShippingMethodValue getShippingMethodByValue()

  Deprecated
  Get all of ShippingMethod's attributes.

  Returns
    ShippingMethodValue the ShippingMethod value object

### setShippingMethodByValue

    public void setShippingMethodByValue(ShippingMethodValue value)

  Deprecated
  Set all of ShippingMethod's attributes to the passed in value. Note: Primary key attributes are not set.

  Parameters
    `ShippingMethodValue` - the ShippingMethod value object

### ejbCreate

    public ShippingMethodPk ejbCreate(ShippingMethodPk shippingMethodPk)
                               throws javax.ejb.CreateException

  Deprecated
  Throws
    `javax.ejb.CreateException`

### bscInitializeAttributes

    protected void bscInitializeAttributes(ShippingMethodPk shippingMethodPk)
                                    throws javax.ejb.CreateException

  Deprecated
  Throws
    `javax.ejb.CreateException`

### ejbPostCreate

    public void ejbPostCreate(ShippingMethodPk shippingMethodPk)
                       throws javax.ejb.CreateException

  Deprecated
  Throws
    `javax.ejb.CreateException`

### ejbLoad

    public void ejbLoad()
                 throws javax.ejb.EJBException

  Deprecated
  Description copied from class: `EntityImpl`
  ejbLoad method.

  Specified by:
    `ejbLoad` in interface `javax.ejb.EntityBean`
  Overrides:
    `ejbLoad` in class `EntityImpl`
  Throws
    `javax.ejb.EJBException`

### ejbStore

    public void ejbStore()
                  throws javax.ejb.EJBException

  Deprecated
  Description copied from class: `EntityImpl`
  ejbStore method.

  Specified by:
    `ejbStore` in interface `javax.ejb.EntityBean`
  Overrides:
    `ejbStore` in class `EntityImpl`
  Throws
    `javax.ejb.EJBException`

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.RemoveException

  Deprecated
  Description copied from class: `EntityImpl`
  ejbRemove method.

  Specified by:
    `ejbRemove` in interface `javax.ejb.EntityBean`
  Overrides:
    `ejbRemove` in class `EntityImpl`
  Throws
    `javax.ejb.RemoveException`

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException

  Deprecated
  Description copied from class: `EntityImpl`
  ejbActivate method.

  Specified by:
    `ejbActivate` in interface `javax.ejb.EntityBean`
  Overrides:
    `ejbActivate` in class `EntityImpl`
  Throws
    `javax.ejb.EJBException`

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException

  Deprecated
  Description copied from class: `EntityImpl`
  ejbPassivate method.

  Specified by:
    `ejbPassivate` in interface `javax.ejb.EntityBean`
  Overrides:
    `ejbPassivate` in class `EntityImpl`
  Throws
    `javax.ejb.EJBException`

### setEntityContext

    public void setEntityContext(javax.ejb.EntityContext ctx)
                          throws javax.ejb.EJBException

  Deprecated
  Description copied from class: `EntityImpl`
  setEntityContext method.

  Specified by:
    `setEntityContext` in interface `javax.ejb.EntityBean`
  Overrides:
    `setEntityContext` in class `EntityImpl`
  Throws
    `javax.ejb.EJBException`

### unsetEntityContext

    public void unsetEntityContext()
                            throws javax.ejb.EJBException

  Deprecated
  Description copied from class: `EntityImpl`
  unsetEntityContext method.

  Specified by:
    `unsetEntityContext` in interface `javax.ejb.EntityBean`
  Overrides:
    `unsetEntityContext` in class `EntityImpl`
  Throws
    `javax.ejb.EJBException`

### ejbFindByPrimaryKey

    public ShippingMethodPk ejbFindByPrimaryKey(ShippingMethodPk pk)
                                         throws javax.ejb.FinderException

  Deprecated
  Throws
    `javax.ejb.FinderException`

### getSizeLimit

    public double getSizeLimit()

  Deprecated
  Get the value of sizeLimit

  Returns
    sizeLimit.

### setSizeLimit

    public void setSizeLimit(double sizeLimit)

  Deprecated
  Set the value of sizeLimit

  Parameters
    `sizeLimit` - sizeLimit to be added

### getDescription

    public String getDescription()

  Deprecated
  Get the value of description

  Returns
    description.

### setDescription

    public void setDescription(String description)

  Deprecated
  Set the value of description

  Parameters
    `description` - description to be added

### getSignatureRequired

    public boolean getSignatureRequired()

  Deprecated
  Get the value of signatureRequired

  Returns
    signatureRequired.

### setSignatureRequired

    public void setSignatureRequired(boolean signatureRequired)

  Deprecated
  Set the value of signatureRequired

  Parameters
    `signatureRequired` - signatureRequired to be added

### getWeightLimit

    public double getWeightLimit()

  Deprecated
  Get the value of weightLimit

  Returns
    weightLimit.

### setWeightLimit

    public void setWeightLimit(double weightLimit)

  Deprecated
  Set the value of weightLimit

  Parameters
    `weightLimit` - weightLimit to be added

### getPercentage

    public double getPercentage()

  Deprecated
  Get the value of percentage

  Returns
    percentage.

### setPercentage

    public void setPercentage(double percentage)

  Deprecated
  Set the value of percentage

  Parameters
    `percentage` - percentage to be added

### getIdentifier

    public String getIdentifier()

  Deprecated

### setIdentifier

    public void setIdentifier(String value)

  Deprecated

### getPoBoxAllowed

    public boolean getPoBoxAllowed()

  Deprecated
  Get the value of poBoxAllowed

  Returns
    poBoxAllowed.

### setPoBoxAllowed

    public void setPoBoxAllowed(boolean poBoxAllowed)

  Deprecated
  Set the value of poBoxAllowed

  Parameters
    `poBoxAllowed` - poBoxAllowed to be added

### getRestrictions

    public String getRestrictions()

  Deprecated
  Get the value of restrictions

  Returns
    restrictions.

### setRestrictions

    public void setRestrictions(String restrictions)

  Deprecated
  Set the value of restrictions

  Parameters
    `restrictions` - restrictions to be added

### getAverageShippingTime

    public int getAverageShippingTime()

  Deprecated
  Get the value of averageShippingTime

  Returns
    averageShippingTime.

### setAverageShippingTime

    public void setAverageShippingTime(int averageShippingTime)

  Deprecated
  Set the value of averageShippingTime

  Parameters
    `averageShippingTime` - averageShippingTime to be added

### getCarrier

    public String getCarrier()

  Deprecated
  Get the value of carrier

  Returns
    carrier.

### setCarrier

    public void setCarrier(String carrier)

  Deprecated
  Set the value of carrier

  Parameters
    `carrier` - carrier to be added

### getSaturdayDelivery

    public boolean getSaturdayDelivery()

  Deprecated
  Get the value of saturdayDelivery

  Returns
    saturdayDelivery.

### setSaturdayDelivery

    public void setSaturdayDelivery(boolean saturdayDelivery)

  Deprecated
  Set the value of saturdayDelivery

  Parameters
    `saturdayDelivery` - saturdayDelivery to be added

### getPrice

    public Money getPrice()

  Deprecated
  Get the value of price

  Returns
    price.

### setPrice

    public void setPrice(Money price)

  Deprecated
  Set the value of price

  Parameters
    `price` - price to be added

### getPackagingType

    public String getPackagingType()

  Deprecated
  Get the value of packagingType

  Returns
    packagingType.

### setPackagingType

    public void setPackagingType(String packagingType)

  Deprecated
  Set the value of packagingType

  Parameters
    `packagingType` - packagingType to be added

### getCostCalculationMechanism

    public String getCostCalculationMechanism()

  Deprecated
  Get the value of costCalculationMechanism

  Returns
    costCalculationMechanism.

### setCostCalculationMechanism

    public void setCostCalculationMechanism(String costCalculationMechanism)

  Deprecated
  Set the value of costCalculationMechanism

  Parameters
    `costCalculationMechanism` - costCalculationMechanism to be added

### getMethod

    public String getMethod()

  Deprecated
  Get the value of method

  Returns
    method.

### setMethod

    public void setMethod(String method)

  Deprecated
  Set the value of method

  Parameters
    `method` - method to be added

### getInternationalDelivery

    public boolean getInternationalDelivery()

  Deprecated
  Get the value of internationalDelivery

  Returns
    internationalDelivery.

### setInternationalDelivery

    public void setInternationalDelivery(boolean internationalDelivery)

  Deprecated
  Set the value of internationalDelivery

  Parameters
    `internationalDelivery` - internationalDelivery to be added

### ejbFindAll

    public Enumeration ejbFindAll()
                           throws javax.ejb.FinderException

  Deprecated
  Description copied from class: `EntityImpl`
  ejbFindAll method.

  Overrides:
    `ejbFindAll` in class `EntityImpl`
  Throws
    `javax.ejb.FinderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.